Announcement

Collapse
No announcement yet.

Help - Sygic Versions

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help - Sygic Versions

    Hi all,

    I'm really confused and hoping someone enlighten me on what version of Sygic should I use with the Centrafuse 4, because I have Sygic Fleet 10 (it appears on the splash screen) but when i go to settings and press the "about Sygic Fleet" button it's identified as version 8.30.

    Can someone help in this???

    Thanks
    MCouto

  • #2
    Originally posted by mcouto View Post
    Hi all,

    I'm really confused and hoping someone enlighten me on what version of Sygic should I use with the Centrafuse 4, because I have Sygic Fleet 10 (it appears on the splash screen) but when i go to settings and press the "about Sygic Fleet" button it's identified as version 8.30.

    Can someone help in this???

    Thanks
    MCouto
    Your good. That's what mine says and it works fine.

    VegasGuy

    Comment


    • #3
      Thanks, VegasGuy.

      Comment


      • #4
        What map version are you supposed to use with Sygic Fleet 8.30 for PC?
        http://sticksout.blogspot.com

        Comment

        Working...
        X